Skip to content

Policy Payment API

| View as Markdown

This API is for policy payment to be done by customer. We must pass policy id, amount to be deducted, provider id and order id in request. If the request has valid details, we will get a success response.

https://kraken.airpay.co.in/airpay/ms/insurance/api/policy-payment
FieldTypeDescription
content-typestringValue : application/x-www-form-urlencoded (required)
processor-keystringAuthentication key for airay. Eg 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps (length 20, required)
checksumstringSha256 of value of hash(‘sha256’,’(orderid)(affiliateid)(ampunt)(policytype)(companyid), processor-key) (required)
FieldTypeDescription
policy_idnumericInsurance policy id(required)
amountnumericThe premium amount that will be deducted by insurance company (length 10,2, required)
provider_idnumericInsurance provider id (required)
ses_codestringThis should be encoded secret key provided by airpay when order creation (required)
order_idstringReference txnid shared by affiliate while initiating the transaction (length 20(fixed), required)
curl --location 'https://kraken.airpay.co.in/airpay/ms/insurance/api/policy-payment' \
--header 'content_type: application/x-www-form-urlencoded' \
--header 'processor-key: xvuvkuxKczCf8sap8Zv5ia9qzPEB9iPRvtLr4iJn4SzmMjfuWgVvSsXvyw==' \
--header 'checksum: d1e2629k8b5818aa186a4b7d8m5d9a03b6aef297842ec571ad0cc2278bcfcf93' \
--header 'Content-Type: application/json' \
--header 'Cookie: _csrf=103936bf306d2998165c59d08c9288e68459dcac60bba4d8kcdb7c0a17163ea6a%3A2%3A%7Bi%3A0%3Bs%3A5%3A%22_csrf%22%3Bi%3A1%3Bs%3A32%3A%22XORQcv-kviZ_teErDmi5drwuAhdUQpZE%22%3B%7D' \
--data '{
"policy_id": "2307",
"provider_id": "7",
"ses_code": "dbad39fd18d5e4fc9c9ad6a14466a624faed3a91fb035ca0062f6b1e39ea4a05",
"amount": "1",
"order_id": "MAWEM107051648117107"
}'
FieldTypeDescription
statusNumericapi status [1- success,0-fail] (length 1)
dataJsonarraydata provided will be with orderid
messagestringmessage (length 50)
{
"status": "1",
"data": [],
"message": "success"
}
{
"status": "0",
"data": [],
"message": "Duplicate Order"
}